Update MediaAgents Credentials Associated With Storage Pool
Update Linux user account credentials for MediaAgents in a Storage Pool
Path Parameters
- storagePoolId int32 required
Unique identifier of the Storage Pool
- application/json
Request Body required
- username string
Username for which password rotation has to be done
- password string
New password for the username
Responses
- 200
- 400
- 403
- 404
- 500
Success
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Bad Request(Wrong input payload or password requirements not met)
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Forbidden(Insufficient permissions to update credentials)
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Not Found(Storage Pool not found)
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Loading...